a package to create and customize linear & circle indicator easily.

## Features

🌟customizable circle indicator<br>
🌟customizable linear indicator<br><br>
![img](assets/gif/linear.gif.png)

## Getting started
## Install it

add package to your pubspec.yaml file
```yaml
    dependecies:
        flutter:
            sdk: flutter
        custom_indicator: any
```

## Or

```dart
flutter pub add custom_indicator
```

import id
```dart
import 'package:custom_indicator/custom_indicator.dart';
```

## Usage
use indicator without adding value
```dart
    CustomLinearIndicator()
```
```dart
    CustomCircleIndicator()
```
<br>

add idicator with value
```dart
CustomCircleIndicator(
    value: 100,
    backColor: Colors.red,
),
```
```dart
CustomLinearIndicator(
    value: 100,
    backColor: Colors.red,
),
```
<table>
    <tr>
        <td>![img](assets/img/circle100.png)</td>
        <td>![img](assets/img/linear100.png)</td>
    </tr>
</table><br><br>

change indicator type
```dart
CustomCircleIndicator(
    value: 35,
    backColor: Colors.red,
    pointerColor: Colors.red,
    indicatorType: IndicatorType.pointer,
),
```
```dart
CustomLinearIndicator(
    value: 35,
    backColor: Colors.red,
    indicatorType: IndicatorType.pointer,
),
```
<table>
    <tr>
        <td>![img](assets/img/circle35pointer.png)</td>
        <td>![img](assets/img/linear35pointer.png)</td>
    </tr>
</table><br><br>

check on finish

```dart
CustomCircleIndicator(
    value: 100,
    checkOnFinish: true,
    backColor: Colors.red,
),
```
```dart
CustomLinearIndicator(
    value: 100,
    backColor: Colors.red,
    checkOnFinish: true,
    height: 70,
),
```
<table>
    <tr>
        <td>![img](assets/img/circlecheckOnFinish.png)</td>
        <td>![img](assets/img/linear100checked.png)</td>
    </tr>
</table><br><br>

change linear edge
```dart
CustomLinearIndicator(
    value: 35,
    backColor: Colors.red,
    checkOnFinish: true,
    edgeType: EdgeType.square,
),
```
![img](assets/img/linear35square.png)<br><br>

fill linear indicator
```dart
CustomLinearIndicator(
    value: 35,
    backColor: Colors.red,
    checkOnFinish: true,
    filled: true,
),
```

![img](assets/img/linear35filled.png)

To hide indicator value set showValue property to false
```dart
CustomLinearIndicator(
    value: 35,
    backColor: Colors.red,
    checkOnFinish: true,
    filled: true,
    showValue: false,
),
```
![img](assets/img/linear35hidevalue.png)